%define		kdeappsver	21.08.1
%define		qtver		5.9.0
%define		kaname		spectacle

Summary:	Spectacle
Summary(pl.UTF-8):	Spectacle
Name:		ka5-%{kaname}
Version:	21.08.1
Release:	1
License:	GPL
Group:		X11/Applications/Editors
Source0:	http://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	43e2bf44bf26a67896cfeb9a617a59cd
URL:		http://www.kde.org/
BuildRequires:	Qt5Concurrent-devel
BuildRequires:	Qt5Core-devel
BuildRequires:	Qt5DBus-devel
BuildRequires:	Qt5Gui-devel >= 5.11.1
BuildRequires:	Qt5Network-devel >= 5.11.1
BuildRequires:	Qt5PrintSupport-devel
BuildRequires:	Qt5Qml-devel >= 5.11.1
BuildRequires:	Qt5Quick-devel
BuildRequires:	Qt5Widgets-devel
BuildRequires:	Qt5X11Extras-devel >= 5.6.0
BuildRequires:	gettext-devel
BuildRequires:	kf5-extra-cmake-modules >= 5.53.0
BuildRequires:	kf5-kconfig-devel >= 5.29.0
BuildRequires:	kf5-kcoreaddons-devel >= 5.29.0
BuildRequires:	kf5-kdbusaddons-devel >= 5.29.0
BuildRequires:	kf5-kdeclarative-devel >= 5.29.0
BuildRequires:	kf5-kdoctools-devel >= 5.29.0
BuildRequires:	kf5-ki18n-devel >= 5.29.0
BuildRequires:	kf5-kio-devel >= 5.29.0
BuildRequires:	kf5-knewstuff-devel >= 5.29.0
BuildRequires:	kf5-knotifications-devel >= 5.29.0
BuildRequires:	kf5-kwayland-devel
BuildRequires:	kf5-kwidgetsaddons-devel >= 5.29.0
BuildRequires:	kf5-kwindowsystem-devel >= 5.29.0
BuildRequires:	kf5-kxmlgui-devel >= 5.29.0
BuildRequires:	ninja
BuildRequires:	qt5-build >= 5.6.0
BuildRequires:	shared-mime-info
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Spectacle is a simple application for taking screenshots. It is
capable of capturing images of either the whole desktop or just a
single window. The images can then be saved in a variety of formats.

%description -l pl.UTF-8
Spectacle to prosta aplikacja do robienia zrzutów ekranu. Potrafi
przechwytywać obraz całego pulpitu lub tylko pojedynczego okna. Obrazy
mogą być następnie zapisane w wielu formatach.

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/spectacle
%{_desktopdir}/org.kde.spectacle.desktop
%{_datadir}/dbus-1/interfaces/org.kde.Spectacle.xml
%{_datadir}/dbus-1/services/org.kde.Spectacle.service
%{_iconsdir}/hicolor/16x16/apps/spectacle.png
%{_iconsdir}/hicolor/22x22/apps/spectacle.png
%{_iconsdir}/hicolor/32x32/apps/spectacle.png
%{_iconsdir}/hicolor/48x48/apps/spectacle.png
%{_iconsdir}/hicolor/scalable/apps/spectacle.svgz
%{_datadir}/knotifications5/spectacle.notifyrc
%{_datadir}/metainfo/org.kde.spectacle.appdata.xml
%attr(755,root,root) %{_libdir}/kconf_update_bin/spectacle-migrate-shortcuts
%attr(755,root,root) %{_datadir}/kconf_update/50-clipboard_settings_change.py
%{_datadir}/kconf_update/spectacle_clipboard.upd
%{_datadir}/kconf_update/spectacle_shortcuts.upd
%dir %{_datadir}/kglobalaccel
%{_datadir}/kglobalaccel/org.kde.spectacle.desktop
%{_datadir}/qlogging-categories5/spectacle.categories
%{_datadir}/kconf_update/spectacle_newConfig.upd
%{systemduserunitdir}/app-org.kde.spectacle.service
%{_mandir}/ca/man1/spectacle.1*
%{_mandir}/de/man1/spectacle.1*
%{_mandir}/es/man1/spectacle.1*
%{_mandir}/it/man1/spectacle.1*
%{_mandir}/man1/spectacle.1*
%{_mandir}/nl/man1/spectacle.1*
%{_mandir}/sv/man1/spectacle.1*
%{_mandir}/uk/man1/spectacle.1*
%changelog
* Thu Sep 09 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-spectacle.git;a=log;h=master

* Sun Sep 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 3fc3dc0
- updated to 21.08.1

* Thu Aug 19 2021 Witold Filipczyk <witekfl@poczta.onet.pl> b6e1e9a
- updated to 21.08.0

* Fri Jul 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 8849a6e
- updated to 21.04.3

* Fri Jun 11 2021 Witold Filipczyk <witekfl@poczta.onet.pl> c7fb8f9
- updated to 21.04.2

* Sat May 15 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 0593100
- updated to 21.04.1

* Sat Apr 24 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 633cb08
- updated to 21.04.0

* Sat Apr 03 2021 Jan Rękorajski <baggins@pld-linux.org> 440979a
- updated BRs
- rel 2

* Tue Mar 16 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 36e6c32
- updated to 20.12.3

* Mon May 13 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 1e4ebbf
- updated to 19.04.1
- packaged docs
- macro kframever

* Fri Jan 11 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 79dace3
- updated to 18.12.1

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> e1bcad5
- updated to 18.12.0

* Sat Apr 21 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 8480781
- updated to 18.04.0

* Fri Oct 13 2017 Witold Filipczyk <witekfl@poczta.onet.pl> c356ff1
- 17.08.2

